> For the complete documentation index, see [llms.txt](https://docs.oscwii.org/oldapi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oscwii.org/oldapi/v1/packages/get-specific-package.md).

# Get Specific Package

This endpoint retrieves a specific application / package.

#### HTTP Request <a href="#http-request-2" id="http-request-2"></a>

`GET http://api.oscwii.org/v1/<host>/package/<name>`

#### URL Parameters <a href="#url-parameters" id="url-parameters"></a>

| Parameter | Default | Description                                                                                |
| --------- | ------- | ------------------------------------------------------------------------------------------ |
| \<host>   | primary | Host to use (eg. primary, themes). For info about hosts, scroll down to the Hosts section. |
| \<name>   |         | Name of application / package to get.                                                      |

#### Usage <a href="#query-parameters" id="query-parameters"></a>

```
curl "http://api.oscwii.org/v1/primary/package/WiiVNC"
```

```
{
  "category": "utilities", 
  "coder": "PaulWagener", 
  "contributors": "", 
  "controllers": "wg", 
  "display_name": "WiiVNC", 
  "package_type": "dol", 
  "downloads": 0, 
  "extracted": 1666173, 
  "internal_name": "WiiVNC", 
  "long_description": "Connect to a VNC server", 
  "rating": "", 
  "release_date": 1575227546, 
  "short_description": "Control your computer", 
  "updated": 1575227546, 
  "version": "1.3", 
  "zip_size": 832443
}
```
